Pular para o conteúdo principal
POST
/
audio
/
quote
/api/v1/audio/quote
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "duration_seconds": 60,
  "character_count": 100
}
'
{
  "quote": 0.75
}
Use este endpoint antes de /audio/queue para estimar o custo em USD de uma solicitação de geração de áudio para o modelo e parâmetros selecionados.

Coleção do Postman

Para exemplos adicionais, consulte esta coleção do Postman.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
model
string
obrigatório

The model to get a price quote for.

Exemplo:

"elevenlabs-music"

duration_seconds

Optional duration hint in seconds. Only supported for models that expose duration metadata via /models. Accepts either an integer or a numeric string. If omitted, the model default duration is used when available.

Intervalo obrigatório: x > 0
Exemplo:

60

character_count
integer

Optional character count for character-based pricing models. Required when the selected model uses pricing.per_thousand_characters in /models.

Intervalo obrigatório: x > 0
Exemplo:

100

Resposta

Price quote for audio generation

quote
number
obrigatório

The estimated price in USD for the audio generation.

Exemplo:

0.75